Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# DynamicC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/AnyTypeCode/TAO_AnyTypeCode_Export.h"`
`#include "tao/AnyTypeCode/TypeCode.h"`
`#include "tao/AnyTypeCode/TypeCode_Constants.h"`
`#include "tao/AnyTypeCode/Dynamic_ParameterC.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`
`#include "tao/StringSeqC.h"`

Include dependency graph for DynamicC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | Dynamic
## Classes
class | Dynamic::ParameterList
class | Dynamic::ExceptionList
## Defines
#define | TAO_EXPORT_MACRO TAO_AnyTypeCode_Export
#define | _DYNAMIC_PARAMETERLIST_CH_
#define | _DYNAMIC_EXCEPTIONLIST_CH_
## Typedefs
typedef TAO_VarSeq_Var_T< ParameterList, Parameter > | ParameterList_var
typedef TAO_Seq_Out_T< ParameterList, ParameterList_var, Parameter > | ParameterList_out
typedef CORBA::StringSeq_var | ContextList_var
typedef CORBA::StringSeq_out | ContextList_out
typedef TAO_MngSeq_Var_T< ExceptionList, TAO_Object_Manager< CORBA::TypeCode, CORBA::TypeCode_var > > | ExceptionList_var
typedef TAO_MngSeq_Out_T< ExceptionList, ExceptionList_var, TAO_Object_Manager< CORBA::TypeCode, CORBA::TypeCode_var > > | ExceptionList_out
typedef CORBA::StringSeq_var | RequestContext_var
typedef CORBA::StringSeq_out | RequestContext_out
## Functions
TAO_AnyTypeCode_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Dynamic::ParameterList &)
TAO_AnyTypeCode_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Dynamic::ParameterList &)
TAO_AnyTypeCode_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Dynamic::ExceptionList &)
TAO_AnyTypeCode_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Dynamic::ExceptionList &)

## Define Documentation

#define _DYNAMIC_EXCEPTIONLIST_CH_

#define _DYNAMIC_PARAMETERLIST_CH_

#define TAO_EXPORT_MACRO TAO_AnyTypeCode_Export

## Typedef Documentation

typedef CORBA::StringSeq_out Dynamic::ContextList_out

typedef CORBA::StringSeq_var Dynamic::ContextList_var

typedef TAO_MngSeq_Out_T< ExceptionList, ExceptionList_var, TAO_Object_Manager< CORBA::TypeCode, CORBA::TypeCode_var > > Dynamic::ExceptionList_out

typedef TAO_MngSeq_Var_T< ExceptionList, TAO_Object_Manager< CORBA::TypeCode, CORBA::TypeCode_var > > Dynamic::ExceptionList_var

typedef TAO_Seq_Out_T< ParameterList, ParameterList_var, Parameter > Dynamic::ParameterList_out

typedef TAO_VarSeq_Var_T< ParameterList, Parameter > Dynamic::ParameterList_var

typedef CORBA::StringSeq_out Dynamic::RequestContext_out

typedef CORBA::StringSeq_var Dynamic::RequestContext_var

## Function Documentation

TAO_AnyTypeCode_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const Dynamic::ExceptionList & |
| ) |

TAO_AnyTypeCode_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const Dynamic::ParameterList & |
| ) |

TAO_AnyTypeCode_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | Dynamic::ExceptionList & |
| ) |

TAO_AnyTypeCode_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | Dynamic::ParameterList & |
| ) |